apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  labels:
    machine.openshift.io/cluster-api-cluster: huliu140-rzzpc
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
  name: huliu140-rzzpc-worker-test1
  namespace: openshift-machine-api
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: huliu140-rzzpc
      machine.openshift.io/cluster-api-machineset: huliu140-rzzpc-worker-test1
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: huliu140-rzzpc
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: huliu140-rzzpc-worker-test1
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: machine.openshift.io/v1beta1
          credentialsSecret:
            name: azure-cloud-credentials
            namespace: openshift-machine-api
          image:
            offer: ""
            publisher: ""
            resourceID: /resourceGroups/huliu140-rzzpc-rg/providers/Microsoft.Compute/images/huliu140-rzzpc
            sku: ""
            version: ""
          kind: AzureMachineProviderSpec
          location: northcentralus
          managedIdentity: huliu140-rzzpc-identity
          metadata:
            creationTimestamp: null
          networkResourceGroup: huliu140-rzzpc-rg
          osDisk:
            diskSizeGB: 30
            managedDisk:
              storageAccountType: Premium_LRS
            diskSettings:
              ephemeralStorageLocation: Local
            cachingType: ResourceDisk
            osType: Linux
          publicIP: false
          publicLoadBalancer: huliu140-rzzpc
          resourceGroup: huliu140-rzzpc-rg
          subnet: huliu140-rzzpc-worker-subnet
          userDataSecret:
            name: worker-user-data
          vmSize: Standard_D4s_v3
          vnet: huliu140-rzzpc-vnet
          zone: ""
